RyTask docs
REST APISlack

Update the Slack connection

Sets or clears the default project that `/task` captures route to. Requires `org:settings:write`.

View as MarkdownOpen in ChatGPTOpen in Claude
PATCH
/integrations/slack

Sets or clears the default project that /task captures route to. Requires org:settings:write.

Authorization

bearerAuth
AuthorizationBearer <token>

A session access token or a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/integrations/slack" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "not_connected",  "team": {    "id": "string",    "name": "string"  },  "connectedAt": "2019-08-24T14:15:22Z",  "defaultProjectId": "fb6ef57a-a71a-42cd-9bf7-57d2b77fb4af"}
Empty
Empty